{
	"info": ", ei mitään epäselvää",
	"field": {
		"new_record": [
			["invr_invoice_id", "=", "inv_invoice_id"],
			["invr_row_number", "=", [["Max", ["invr_row_number"]], "+", "1"]],
			["invr_customer_row_number", "=", ["String", ["invr_row_number", "000"]]],
			["invr_employee_id", "=", "inv_myyja"],
			["invr_delivered_quantity", "=", "1"],
			["invr_order_amount", "=", "invr_delivered_quantity"],
			["invr_delivery_date", "=", ["Current_date", ["*"]]],
			["invr_type", "=", "inv_type"],
			["invr_delivery_customer", "=", "inv_delivery_company_id"]
		],
		"invr_delivered_quantity": [
			["invr_sMAARA_YHT"]
		],
		"invr_price_unit": [
			["invr_sAHINTA"]
		],
		"invr_vat_percentage": [
			["invr_sLVV_PROSENTT"]
		],
		"invr_vat_price": [
			["invr_sLVV_N_HINTA"]
		],
		"invr_product_id": [
			["invr_sTUOTE"]
		],
		"invr_price_total": [
			["invr_sHINTA_YHT"]
		],
		"invr_sales_order_code_id": [
			["invr_scMYYNTIKOODI"]
		],
		"invr_discount_percentage": [
			["invr_ALEPROSENTTI"]
		],
		"invr_discount_amount": [
			["invr_ALEMARKKAA"]
		],
		"invr_total_amount": [
			["invr_sMAKSETTAVA_Y"]
		],
		"invr_employee_id": [
			["invr_myyja", "=", ["invr_employee_id"]]
		],
		"invr_dimension": [
			[
				"if", ["_fi_InFullpage", "=", "true"],
				[
					["invr_KPL_MAARA"]
				]
			]
		],
		"invr_unit_total": [
			[
				"if", ["_fi_InFullpage", "=", "true"],
				[
					["invr_KPL_MAARA"]
				]
			]
		]
	},
	"function": {
		"invr_sMAARA_YHT": [
			[
				"if", ["invr_order_amount", "=", "0"],
				[
					["invr_order_amount", "=", ["invr_delivered_quantity"]]
				]
			],
			["invr_L_AHINTA", ["2"]],
			["invr_C_RIVISUMMAT", ["invr_delivered_quantity"]],
			[
				"if", ["!aaOptionKey"],
				[
					["stpa_S_KPL_MITTA", ["invr_product_id", "invr_dimension", "invr_unit_total", "invr_delivered_quantity", "invr_delivered_quantity"]]
				]
			]
		],
		"invr_sAHINTA": [
			["invr_C_RIVISUMMAT", ["invr_price_unit"]]
		],
		"invr_sLVV_PROSENTT": [
			["invr_price_total", "=", ["invr_price_unit", "*", "invr_delivered_quantity"]],
			[
				"if", ["invr_product_id", "<>", ""],
				[
					["RELATE_ONE", ["pr_sales_order_code_id"]],
					[
						"if", ["invr_vat_percentage", "<>", ["soc_vat_percentage"]],
						[
							["CONFIRM", ["Talle_tuotteelle_on_merkitty_erilainen_ARV %. Halutko_todella_vaihtaa_sen?"]],
							[
								"if", ["OK", "=", "1"],
								[
									["invr_vat_price", "=", [["invr_vat_percentage", "*", "invr_price_total"], "/", "100"]]
								]
							]
						]
					]
				]
			],
			["inv_total_amount", "=", ["inv_total_amount", "-", "invr_vat_price", "-", "invr_price_total"]],
			["in_ALARIVIN_KENT"]
		],
		"invr_sLVV_N_HINTA": [
			["invr_vat_percentage", "=", ["invr_vat_price", "*", "100", "/", "invr_price_total"]]
		],
		"invr_sTUOTE": [
			[
				"if", ["pr_fValilis"],
				[
					["pr_fValilis", "=", "false"],
					["xpRealFile", "=", ["inv"]],
					["invr_product_id", "=", ["pr_tunnus"]],
					["RELATE_ONE", ["invr_product_id"]]
				]
			],
			[
				"if", ["pr_not_in_use"],
				[
					["xCRY", ["Tama_tuote_on_merkitty_kaytosta_poistetuksi."]]
				]
			],
			["invr_no_printing", "=", ["pr_no_printing"]],
			["invr_unit", "=", ["pr_unit"]],
			["invr_cost_price_unit", "=", ["pr_cost_price_unit"]],
			[
				"if", ["co_company_id", "<>", ["inv_company_id"]],
				[
					["RELATE_ONE", ["inv_company_id"]]
				]
			],
			[
				"if", ["pr_no_discount"],
				[
					["invr_discount_percentage", "=", "0"]
				],
				"else",
				[
					["invr_discount_percentage", "=", ["co_row_discount_percentage"]]
				]
			],
			[
				"if", ["co_sales_order_code_id", "<>", ""],
				[
					["invr_sales_order_code_id", "=", ["co_sales_order_code_id"]]
				],
				"elseif", ["co_foreign_company"],
				[
					["invr_sales_order_code_id", "=", ["pr_foreign_sales_ord_code_id"]]
				],
				"else",
				[
					["invr_sales_order_code_id", "=", ["pr_sales_order_code_id"]]
				]
			],
			["invr_sales_order_code_id", "=", ["soc__NewCodeGet", ["invr_sales_order_code_id", "inv_date"]]],
			["invr_purchase_order_code_id", "=", ["poc__NewCodeGet", ["pr_purchase_order_code_id", "inv_date"]]],
			[
				"if", ["soc_sales_order_code_id", "<>", ["invr_sales_order_code_id"]],
				[
					["RELATE_ONE", ["invr_sales_order_code_id"]]
				]
			],
			["invr_vat_percentage", "=", ["soc_vat_percentage"]],
			[
				"if", [["co_language", "<>", ""], "and", ["g.gfKielinimi"]],
				[
					["QUERY", ["prna", ["prna_product_name_id", "=", ["invr_product_id"]], "*"]],
					["QUERY", ["prna", "&", ["prna_language", "=", ["co_language"]]]],
					[
						"if", [["Records_in_selection", ["prna"]], ">", "0"],
						[
							["invr_explanation", "=", ["prna_name"]],
							["invr_unit", "=", ["prna_unit"]]
						],
						"else",
						[
							["QUERY", ["prna", ["prna_product_name_id", "=", ["invr_product_id"]], "*"]],
							["QUERY", ["prna", "&", ["prna_language", "=", "Englanti"]]],
							[
								"if", [["Records_in_selection", ["prna"]], ">", "0"],
								[
									["invr_explanation", "=", ["prna_name"]],
									["invr_unit", "=", ["prna_unit"]]
								],
								"else",
								[
									["invr_explanation", "=", ["pr_name"]]
								]
							]
						]
					]
				],
				"else",
				["invr_explanation", "=", ["pr_name"]]
			],
			[
				"if", ["g.pr_lSeliKopi", "=", "1"],
				[
					[
						"if", ["invr_explanation", "<>", ""],
						[
							["invr_explanation", "=", ["concat", ["invr_explanation", "\n"]]]
						]
					],
					["invr_explanation", "=", ["concat", ["invr_explanation", "pr_explanation"]]]
				],
				"elseif", ["g.pr_lSeliKopi", "=", "2"],
				[
					["invr_explanation", "=", ["pr_explanation"]]
				]
			],
			["invr_L_AHINTA", ["1"]],
			["invr_C_RIVISUMMAT", ["invr_product_id"]]
		],
		"invr_sHINTA_YHT": [
			[
				"if", ["g.so_fAleYksHi"],
				[
					[
						"if", ["invr_delivered_quantity", "<>", "0"],
						[
							["invr_price_unit", "=", ["invr_price_total", "/", "invr_delivered_quantity"]],
							["invr_discount_amount", "=", "0"]
						],
						"else",
						[
							["invr_price_unit", "=", "0"],
							["invr_discount_amount", "=", "0"]
						]
					]
				],
				"else",
				[
					["invr_discount_amount", "=", ["invr_price_unit", "*", "invr_delivered_quantity", "-", "invr_price_total"]]
				]
			],
			[
				"if", [["invr_price_unit", "*", "invr_delivered_quantity"], "<>", "0"],
				[
					["invr_discount_percentage", "=", [["invr_discount_amount", "/", ["invr_price_unit", "*", "invr_delivered_quantity"]]], "*", "100"]
				],
				"else",
				[
					["invr_discount_percentage", "=", "0"]
				]
			],
			["invr_C_RIVISUMMAT", ["invr_price_total"]]
		],
		"invr_scMYYNTIKOODI": [
			["RELATE_ONE", ["invr_sales_order_code_id"]],
			["invr_vat_percentage", "=", ["soc_vat_percentage"]],
			["xpRealFile", ["inv"]],
			["invr_C_RIVISUMMAT", ["invr_sales_order_code_id"]]
		],
		"invr_ALEPROSENTTI": [
			["invr_C_RIVISUMMAT", ["invr_discount_percentage"]]
		],
		"invr_ALEMARKKAA": [
			[
				"if", [["invr_price_unit", "*", "invr_delivered_quantity"], "<>", "0"],
				[
					["invr_discount_percentage", "=", [["invr_discount_amount", "/", "invr_price_unit", "*", "invr_delivered_quantity"], "*", "100"]]
				],
				"else",
				[
					["invr_discount_percentage", "=", "0"]
				]
			],
			["invr_C_RIVISUMMAT", ["invr_discount_amount"]]
		],
		"invr_sMAKSETTAVA_Y": [
			["invr_price_total", "=", ["_real_TaxRemove", ["invr_total_amount", "invr_vat_percentage"]]],
			[
				"if", ["pr_sales_price_unit", "=", "0"],
				[
					[
						"if", ["invr_delivered_quantity", "=", "0"],
						[
							["invr_delivered_quantity", "=", "1"]
						]
					],
					["invr_price_unit", "=", ["invr_price_total", "/", "invr_delivered_quantity"]]
				]
			],
			[
				"if", ["g.so_fAleYksHi"],
				[
					[
						"if", ["invr_delivered_quantity", "<>", "0"],
						[
							["invr_price_unit", "=", ["invr_price_total", "/", "invr_delivered_quantity"]],
							["invr_discount_amount", "=", "0"]
						],
						"else",
						[
							["invr_price_unit", "=", "0"],
							["invr_discount_amount", "=", "0"]
						]
					]
				],
				"else",
				[
					["invr_discount_amount", "=", ["invr_price_unit", "*", "invr_delivered_quantity", "-", "invr_price_total"]]
				]
			],
			[
				"if", [["invr_price_unit", "*", "invr_delivered_quantity"], "<>", "0"],
				[
					["invr_discount_percentage", "=", [["invr_discount_amount", "/", ["invr_price_unit", "*", "invr_delivered_quantity"]]], "*", "100"]
				],
				"else",
				[
					["invr_discount_percentage", "=", "0"]
				]
			],
			["invr_C_RIVISUMMAT", ["invr_total_amount"]]
		],
		"invr_KPL_MAARA": [
			[
				"if", ["!aaOptionKey"],
				[
					["RELATE_ONE", ["invr_product_id"]],
					[
						"if", ["pr_effect_of_fixed_size", "=", "1"],
						[
							["invr_delivered_quantity", "=", ["invr_dimension", "*", "invr_unit_total"]],
							["invr_sMAARA_YHT ----<>"]
						]
					]
				]
			]
		],
		"invr_sMAARA_YHT": [
			["invr_L_AHINTA", ["2"]],
			["invr_C_RIVISUMMAT", ["invr_delivered_quantity"]],
			[
				"if", ["!aaOptionKey"],
				[
					["stpa_S_KPL_MITTA", ["invr_product_id", "invr_dimension", "invr_unit_total", "invr_delivered_quantity", "invr_delivered_quantity"]]
				]
			]
		]
	}
}
